## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class IntervalUnitType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.IntervalUnitType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class IntervalUnitType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Interval Unit Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getIntervalUnitType()`, Serialized Form

Field Summary
`static int` `HOURS` The 'HOURS' literal value.
`static IntervalUnitType` `HOURS_LITERAL` The 'HOURS' literal object.
`static int` `MINUTES` The 'MINUTES' literal value.
`static IntervalUnitType` `MINUTES_LITERAL` The 'MINUTES' literal object.
`static int` `SECONDS` The 'SECONDS' literal value.
`static IntervalUnitType` `SECONDS_LITERAL` The 'SECONDS' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Interval Unit Type' enumerators.

Method Summary
`static IntervalUnitType` `get(int value)` Returns the 'Interval Unit Type' literal with the specified integer value.
`static IntervalUnitType` `get(java.lang.String literal)` Returns the 'Interval Unit Type' literal with the specified literal value.
`static IntervalUnitType` `getByName(java.lang.String name)` Returns the 'Interval Unit Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HOURS

    public static final int HOURS

  The 'HOURS' literal value.

  If the meaning of 'HOURS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HOURS_LITERAL`, Constant Field Values

### MINUTES

    public static final int MINUTES

  The 'MINUTES' literal value.

  If the meaning of 'MINUTES' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINUTES_LITERAL`, Constant Field Values

### SECONDS

    public static final int SECONDS

  The 'SECONDS' literal value.

  If the meaning of 'SECONDS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SECONDS_LITERAL`, Constant Field Values

### HOURS_LITERAL

    public static final IntervalUnitType HOURS_LITERAL

  The 'HOURS' literal object.

  See Also:
    `HOURS`

### MINUTES_LITERAL

    public static final IntervalUnitType MINUTES_LITERAL

  The 'MINUTES' literal object.

  See Also:
    `MINUTES`

### SECONDS_LITERAL

    public static final IntervalUnitType SECONDS_LITERAL

  The 'SECONDS' literal object.

  See Also:
    `SECONDS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Interval Unit Type' enumerators.

Method Detail

### get

    public static IntervalUnitType get(java.lang.String literal)

  Returns the 'Interval Unit Type' literal with the specified literal value.

### getByName

    public static IntervalUnitType getByName(java.lang.String name)

  Returns the 'Interval Unit Type' literal with the specified name.

### get

    public static IntervalUnitType get(int value)

  Returns the 'Interval Unit Type' literal with the specified integer value.